ingres_field_nullable
ingres_field_scale
Ingres Functions
PHP Manual

# ingres_field_precision

(PHP 4 >= 4.0.2, PHP 5 <= 5.0.5, PECL ingres >= 1.0.0)

ingres_field_precision — Get the precision of a field

### Description

int ingres_field_precision ( resource `$result` , int `$index` )

ingres_field_precision() returns the precision of a field. This value is used only for decimal, float, and money SQL data types. For detailed information, see the Ingres OpenAPI User Guide, Appendix "Data Types" in the Ingres documentation.

> Note: Related Configurations

> See ingres.array_index_start in Runtime Configuration

### Parameters

`result`

  The query result identifier

`index`

  `index` is the field whose precision will be retrieved.

  The possible values of `index` depend upon the value of ingres.array_index_start. If ingres.array_index_start is 1 (the default) then `index` must be between 1 and the value returned by ingres_num_fields(). If ingres.array_index_start is 0 then `index` must be between 0 and ingres_num_fields() - 1.

### Return Values

Returns the field precision as an integer

### See Also

- ingres_query() - Send an SQL query to Ingres
- ingres_fetch_array() - Fetch a row of result into an array
- ingres_fetch_assoc() - Fetch a row of result into an associative array
- ingres_fetch_object() - Fetch a row of result into an object
- ingres_fetch_row() - Fetch a row of result into an enumerated array

ingres_field_nullable
ingres_field_scale
Ingres Functions
PHP Manual